import { ElementRef } from '@angular/core';
import { TestimonialVideoContentModel, TestimonialVideoItemModel, TestimonialVideoSectionModel, TestimonialVideoStylesModel } from './testimonial-video.model';
import { EventsService } from './../../services/events.service';
import BaseSection from '../BaseSection';
import { SPACING } from '../../styles/index';
import { BackgroundModel } from '../../styles/style.model';
import * as i0 from "@angular/core";
export declare class TestimonialVideoComponent extends BaseSection {
    private _eventService;
    videoPlayer: ElementRef<HTMLVideoElement>;
    data?: TestimonialVideoSectionModel;
    index?: number;
    edit?: boolean;
    delete?: boolean;
    nextComponentColor?: BackgroundModel;
    content?: TestimonialVideoContentModel;
    style?: TestimonialVideoStylesModel;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    screenWidth: number;
    getScreenSize(event?: number): void;
    getPrevImage(index: number): {
        url: string;
    } | undefined;
    getNextImage(index: number): {
        url: string;
    } | undefined;
    get headingSpace(): SPACING;
    onVideoStart(event: HTMLVideoElement): void;
    onVideoEnd(video: HTMLVideoElement): void;
    redirectTo(content: TestimonialVideoItemModel): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TestimonialVideoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TestimonialVideoComponent, "simpo-testimonial-video", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
